CorebanqCorebanq Developer Docs
Addressesv2

List addresses - V2 (paginated)

Handler: GetAllAddressesV2. Returns a get_all envelope (data/total/total_unfiltered/has_more) of address objects, with search/sort/pagination.

GET
/v2/addresses

Authorization

bearerAuth
AuthorizationBearer <token>

JWT bearer token (auth.WrapWithMiddlewares)

In: header

Query Parameters

search?string

General text search

search.rec_id?string
search.rec_type?string
search.type?string
search.country?string
search.city?string
search.postal_code?string
search.is_primary?boolean
search.active?boolean
sort?string

Sortable fields: rec_id, rec_type, type, street, number, additional, postal_code, city, state, country, is_primary, address_hash, id, created_at, created_by, modified_at, modified_by, active

limit?integer

Page size. Defaults to 10 and is capped at 100 by the shared query parser.

offset?integer
stack?string

Group results by this field; data becomes an object keyed by the field's values and keys lists the group keys.

Response Body

application/json

application/json

curl -X GET "https://example.com/v2/addresses"
{
  "data": [
    {
      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
      "rec_id": "0ba687c4-349e-490d-969f-fd374e232d42",
      "rec_type": "string",
      "type": "registration",
      "street": "string",
      "number": "string",
      "additional": "string",
      "postal_code": "string",
      "city": "string",
      "state": "string",
      "country": "string",
      "is_primary": true,
      "address_hash": "string",
      "active": true,
      "metadata": {},
      "created_at": "2019-08-24T14:15:22Z",
      "created_by": "ee824cad-d7a6-4f48-87dc-e8461a9201c4",
      "modified_at": "2019-08-24T14:15:22Z",
      "modified_by": "e8d4374d-93a1-4e98-a6c6-fdcf00c5059f"
    }
  ],
  "total": 0,
  "total_unfiltered": 0,
  "has_more": true,
  "metadata": {},
  "keys": [
    "string"
  ]
}
{
  "status": 403,
  "message": "Forbidden"
}